ia32 libraries on lmde2 64bit

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
hatebreed
Level 1
Level 1
Posts: 7
Joined: Sat Oct 14, 2017 12:48 pm

ia32 libraries on lmde2 64bit

Postby hatebreed » Sun Oct 15, 2017 8:38 pm

I need to install the 32 bit libraries on 64 bit lmde2. These libraries don't exist apparently. Is there a way to get these to install?

User avatar
catweazel
Level 10
Level 10
Posts: 3473
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: ia32 libraries on lmde2 64bit

Postby catweazel » Mon Oct 16, 2017 12:42 am

You could try this:

Code: Select all

sudo dpkg --add-architecture i386
sudo apt update
sudo apt install libncurses5:i386 libstdc++6:i386 libc6:i386 libxft2:i386
If your problem is fixed, please mark your thread as [SOLVED] by editing the title of the first message in the thread.

hatebreed
Level 1
Level 1
Posts: 7
Joined: Sat Oct 14, 2017 12:48 pm

Re: ia32 libraries on lmde2 64bit

Postby hatebreed » Mon Oct 16, 2017 10:06 am

I will try it after work. Thanks for the reply

hatebreed
Level 1
Level 1
Posts: 7
Joined: Sat Oct 14, 2017 12:48 pm

Re: ia32 libraries on lmde2 64bit

Postby hatebreed » Mon Oct 16, 2017 5:47 pm

ok i got all that to work. i'm trying to build wine and it's still saying i need the 32 bit development libraries. can you help?

lmintnewb2

Re: ia32 libraries on lmde2 64bit

Postby lmintnewb2 » Mon Oct 30, 2017 9:43 am

He already has ! Messing around, no he really already had. Think the package you're looking for is called wine-development, just to be sure it's called the same thing in Mint's repos "apt-cache search wine-development" should be and if it is as Catweazel demonstrated. "sudo apt-get install wine-development:i386" to install the 32bit version.

Oops ... might also need this if it doesn't get pulled as a dependency ... libwine-development - Windows API implementation - library. Dunno never messed with wine.


Return to “Newbie Questions”